%% MAPEO ESTRUCTURA KxM
%<mapKxM>

%PARÁMETROS DE RETORNO:
%mapSig: señal mapeada en arreglo KxM

%PARÁMETROS DE INGRESO:
%datosQPSK: datos modulados QPSK
%longBloq:longitud del bloque
%i: referencia de iteración
%nBloq: número de bloques
%numSubP: número de subportadoras
%numSubSimb: número de subsímbolos

function mapSig=mapKxM(datosQPSK,longBloq,i,nBloq, numSubP, numSubSimb)
    
    sig = datosQPSK(longBloq*i+1:end-(longBloq*(nBloq - 1 - i)));
    mapSig = reshape(sig, numSubP, numSubSimb);%Mapeo señal KxM
end

